function [Fi] = calc_Fi_3d(w, e, ux, uy, uz, rho, gx, gy, gz, cs)
Fi = w*rho.*((e(1) - ux)/cs^2 - (e(1)*ux + e(2)*uy + e(3)*uz)*e(1)/cs^4).*gx + ...
    w*rho.*((e(2) - uy)/cs^2 - (e(1)*ux + e(2)*uy + e(3)*uz)*e(2)/cs^4).*gy + ...
    w*rho.*((e(3) - uz)/cs^2 - (e(1)*ux + e(2)*uy + e(3)*uz)*e(3)/cs^4).*gz;
%Fi = w*rho.*((e(1) - ux)/cs^2)*phix;
%Fi = w*rho.*((e(1)*ux + e(2)*uy)*e(1)/cs^4)*phix;
%Fi = e(1)*phix;
end

